Bug 521694 (CVE-2009-3078) - CVE-2009-3078 Firefox 3.5.3 3.0.14 Location bar spoofing via tall line-height Unicode characters
Summary: CVE-2009-3078 Firefox 3.5.3 3.0.14 Location bar spoofing via tall line-height...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3078
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=low,source=mozilla,reported=20...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 18:08 UTC by Josh Bressers
Modified: 2019-06-08 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-08 20:15:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1430 normal SHIPPED_LIVE Critical: firefox security update 2009-09-09 23:27:34 UTC

Description Josh Bressers 2009-09-07 18:08:45 UTC
Security researcher Juan Pablo Lopez Yacubian reported that the default
Windows font used to render the locationbar and other text fields was
improperly displaying certain Unicode characters with tall line-height. In
such cases the tall line-height would cause the rest of the text in the
input field to be scrolled vertically out of view. An attacker could use
this vulnerability to prevent a user from seeing the URL of a malicious
site.

Comment 1 errata-xmlrpc 2009-09-09 23:28:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1430 https://rhn.redhat.com/errata/RHSA-2009-1430.html

Comment 2 Fedora Update System 2009-09-11 23:26:55 UTC
epiphany-extensions-2.24.3-5.fc10, epiphany-2.24.3-10.fc10, Miro-2.0.5-4.fc10, ruby-gnome2-0.19.1-2.fc10, blam-1.8.5-14.fc10, evolution-rss-0.1.4-3.fc10, gecko-sharp2-0.13-12.fc10, gnome-web-photo-0.3-22.fc10, gnome-python2-extras-2.19.1-34.fc10, kazehakase-0.5.6-4.fc10.6, mozvoikko-0.9.5-14.fc10, google-gadgets-0.10.5-10.fc10, pcmanx-gtk2-0.3.8-13.fc10, mugshot-1.2.2-13.fc10, yelp-2.24.0-13.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.5, firefox-3.0.14-1.fc10, xulrunner-1.9.0.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2009-09-11 23:32:16 UTC
eclipse-3.4.2-15.fc11, epiphany-extensions-2.26.1-6.fc11, monodevelop-2.0-5.fc11, seahorse-plugins-2.26.2-5.fc11, epiphany-2.26.3-4.fc11, blam-1.8.5-14.fc11, chmsee-1.0.1-11.fc11, pcmanx-gtk2-0.3.8-8.fc11, gnome-web-photo-0.7-6.fc11, galeon-2.0.7-14.fc11, evolution-rss-0.1.4-3.fc11, gnome-python2-extras-2.25.3-7.fc11, hulahop-0.4.9-8.fc11, mozvoikko-0.9.7-0.7.rc1.fc11, google-gadgets-0.11.0-5.fc11, kazehakase-0.5.7-2.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.5, Miro-2.5.2-4.fc11, yelp-2.26.0-7.fc11, ruby-gnome2-0.19.1-2.fc11, firefox-3.5.3-1.fc11, xulrunner-1.9.1.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.